<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>Multi-input run grammar</TITLE>
	<META NAME="GENERATOR" CONTENT="OpenOffice.org 2.0  (Linux)">
	<META NAME="CREATED" CONTENT="20070709;15405900">
	<META NAME="CHANGED" CONTENT="20080708;12203700">
</HEAD>
<BODY LANG="en-US" DIR="LTR">
<H1>Multi-Input Run Grammar</H1>
<P><FONT FACE="Nimbus Roman No9 L">Enter grammar below or load from
the file <A HREF="multirun_grammar.jff">multirun_grammar.jff</A> . To
test a grammar on more than one string at once select Multiple Brute
Force Parse from the Input menu. On the right is a table with an
input column and a result column. To add a test string click in the
input column, type the string, and press enter. Selecting run inputs
attempts to parse every string in the input column with the grammar. </FONT>
</P>
<P ALIGN=CENTER><IMG SRC="images/images_0.png" NAME="Graphic1" ALIGN=BOTTOM WIDTH=690 HEIGHT=510 BORDER=0>
</P>
<P><FONT FACE="Nimbus Roman No9 L">Now let's load some additional
input string from file. Click on <B>Load Inputs</B> and load the file
<A HREF="multi_run_inputs.txt">muti_run_inputs.txt</A>. You will now
see additional input strings loaded to our multi-run parse pane. You
can run these new inputs and your window would look like this : </FONT>
</P>
<P><BR><BR>
</P>
<P ALIGN=CENTER><IMG SRC="images/images_1.png" NAME="Graphic2" ALIGN=BOTTOM WIDTH=690 HEIGHT=510 BORDER=0>
</P>
<P><BR><BR>
</P>
<P><FONT FACE="Nimbus Roman No9 L">When it is done if you want to see
the parse tree for a particular string, select the string by clicking
on the row it is in, and click the Start button on the left. If it is
accepted you can press Step to see each part of the parse tree.</FONT></P>
<P ALIGN=CENTER><IMG SRC="images/images_2.png" NAME="Graphic2" ALIGN=BOTTOM WIDTH=903 HEIGHT=646 BORDER=0></P>
<P ALIGN=LEFT STYLE="margin-bottom: 0in"><B>This concludes our brief
tutorial on Multi-Input Run Grammar. Thanks for reading!</B></P>
</BODY>
</HTML>